=== debian/changelog ===
cmocka (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #731719)

 -- David Prévot <taffit@debian.org>  Sun, 08 Dec 2013 23:29:02 -0400
