=== debian/control ===
Source: cmocka
Section: devel
Priority: extra
Maintainer: David Prévot <taffit@debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake, debhelper (>= 9)
Build-Depends-indep: doxygen
Standards-Version: 3.9.5
Homepage: http://cmocka.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git

Package: cmocka-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the CMocka unit testing framework
 This package contains the documentation and examples for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for the CMocka unit testing framework
 This is the major library for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka-dev
Architecture: any
Section: libdevel
Depends: libcmocka0 (= ${binary:Version}), ${misc:Depends}
Recommends: cmocka-doc
Description: development files for the CMocka unit testing framework
 This package contains the library development files for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent
