=== debian/watch ===
version=3
# (see #731725) options=pgpsigurlmangle=s/xz$/asc/ \
https://open.cryptomilk.org/projects/cmocka/files \
/attachments/download/\d+/cmocka-(.*).tar.xz
