=== debian/changelog ===
cmocka (0.4.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Install configuration files for CMake (Closes: #749923)

 -- David Prévot <taffit@debian.org>  Fri, 30 May 2014 17:43:06 -0400

cmocka (0.4.1-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.1.

 -- David Prévot <taffit@debian.org>  Fri, 23 May 2014 10:30:40 -0400

cmocka (0.4.0-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.0.

  [ David Prévot ]
  * Use dh_doxygen to get rid of *.md5 and *.map files
  * Provide jQuery helper for cmocka-doc

 -- David Prévot <taffit@debian.org>  Sun, 13 Apr 2014 10:43:02 -0400
