=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: cmocka-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: documentation for the CMocka unit testing framework
  This package contains the documentation and examples for CMocka.
  .
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library for the CMocka unit testing framework
  This is the major library for CMocka.
