=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --list-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DUNIT_TESTING=ON

override_dh_auto_build-indep:
	$(MAKE) -C obj-* doc

override_dh_auto_install-indep:
	dh_install obj-*/doc/html usr/share/doc/cmocka-doc
	dh_doxygen
