=== debian/changelog ===
cmocka (1.0.1-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Fri, 15 May 2015 11:14:35 -0400

cmocka (1.0.1-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * include: Add macro for assert_ptr_equal().
  * Bump version to 1.0.1

 -- David Prévot <taffit@debian.org>  Sun, 15 Mar 2015 10:51:14 -0400

cmocka (1.0.0-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * Add cmockery legacy header.
  * Bump version to 1.0.0.
  * Fix building with newer gcc versions (Closes: #777818)

  [ David Prévot ]
  * Update watch file
  * Update copyright
  * Install a cmockery header
  * Bump standards version to 3.9.6
  * Upload to experimental to respect the freeze

 -- David Prévot <taffit@debian.org>  Sun, 22 Feb 2015 15:44:49 -0400
