=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake, debhelper (>= 9)
 Build-Depends-indep: doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cmocka.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git
