=== debian/changelog ===
cmocka (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1 (Closes: #861266)
  * watch file:
    - match newer versions
    - Enable gpg signature for orig tarballs.
      (#731725 was solved in meanwhile)
  * Change my own mailaddress to hefee@debian.org
  * Updated VCS links to secure protocol
  * Update symbols for new version on amd64
  * Update multiarch metadata
  * Bump Standards-Version:
    - Change link to changelog format to secure version.
  * Bump compat level to 10 (No changes needed)
  * Add hardening=+all to rules.
  * Update signing key for orig tarballs

 -- Sandro Knauß <hefee@debian.org>  Tue, 04 Jul 2017 12:09:10 +0200

cmocka (1.0.1-3) unstable; urgency=medium

  * Do not run tests when building doc (Closes: #806610)
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2016 16:53:27 -1000
