=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: David Prévot <taffit@debian.org>
-Uploaders: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: cmake, debhelper (>= 9)
+Uploaders: Sandro Knauß <hefee@debian.org>
+Build-Depends: cmake, debhelper (>= 10)
 Build-Depends-indep: doxygen
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://cmocka.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmocka.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmocka.git
 
 Package: cmocka-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}
 Description: documentation for the CMocka unit testing framework
  This package contains the documentation and examples for CMocka.
@@ -48,6 +49,7 @@
 
 Package: libcmocka-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libcmocka0 (= ${binary:Version}), ${misc:Depends}
 Recommends: cmocka-doc
