=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --list-missing
@@ -13,6 +17,8 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C obj-* doc
 
+override_dh_auto_test-indep:
+
 override_dh_link-arch:
 	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libcmocka.so \
 		usr/lib/$(DEB_HOST_MULTIARCH)/libcmockery.so \
