=== debian/watch ===
version=3
options=decompress,pgpsigurlmangle=s/xz$/asc/ \
https://cmocka.org/files/([\d.]+)/cmocka-(.*).tar.xz
