## cmocka 1.1.2

=== debian/changelog ===
cmocka (1.1.2-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 1.1.2

  [ Sandro Knauß ]
  * Cleanup changelog

  [ David Prévot ]
  * Update d/watch to currently signed file
  * Use priority optional
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.2.1
  * Use HTTPS URLs
  * Update copyright
  * Update documentation building rule
  * Update symbols file

 -- David Prévot <taffit@debian.org>  Thu, 30 Aug 2018 15:13:09 -1000
