=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: cmocka
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: David Prévot <taffit@debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake, debhelper (>= 10)
 Build-Depends-indep: doxygen
-Standards-Version: 4.0.0
-Homepage: http://cmocka.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmocka.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmocka.git
+Standards-Version: 4.2.1
+Homepage: https://cmocka.org/
+Vcs-Git: https://salsa.debian.org/debian/cmocka.git
+Vcs-Browser: https://salsa.debian.org/debian/cmocka
 
 Package: cmocka-doc
 Section: doc
