=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		-DUNIT_TESTING=ON
 
 override_dh_auto_build-indep:
-	$(MAKE) -C obj-* doc
+	$(MAKE) -C obj-* docs
 
 override_dh_auto_test-indep:
